
package Text::Wigwam::Overload;

    use strict;
    use warnings;
    our $VERSION = '0.01';

use overload (
    q/""/     => 'print',
    fallback => 1,
    bool     => sub { 1 },
);

sub new {
    my ($class, $scalar) = @_;
    return bless \$scalar, $class;
}

sub print {
    my ($self) = @_;
    return $$self;
}

1;
